<?php
/*
Plugin Name: Free Books Section
Plugin URI: https://www.whitedovebooks.co.uk/book-bloggers-plugin/
Description: Embeds our free books newsfeed into your site. Visitors can submit books for a small fee and you earn affiliate commissions.
Version: 16.0
Author: Will Edwards
Author URI: https://www.whitedovebooks.co.uk/genre/will-edwards/
*/

/*
This program is provided under the terms of the GNU General Public License 
as published by the Free Software Foundation, either Version 3 or later.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

GNU General Public License URI: https://www.gnu.org/licenses/
*/

/* Runs when plugin is activated */
register_activation_hook( __FILE__, 'eas_install' ); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'eas_remove' );

function eas_install() {
/* Creates new database field */
add_option("eas_data", '', '', 'yes');
add_option("eas2_data", '', '', 'yes');
}

function eas_remove() {
/* Deletes the database field */
delete_option('eas_data');
delete_option('eas2_data');
}

/**
 * Add Settings Link to Plugin Page
 */
function add_settings_link($links, $file) {
static $this_plugin;
if (!$this_plugin) $this_plugin = plugin_basename(__FILE__);
 
if ($file == $this_plugin){
$settings_link = '<a href="options-general.php?page=_FILE_eas
">'.__("Settings", "photosmash-galleries").'</a>';
 array_unshift($links, $settings_link);
}
return $links;
}

add_filter('plugin_action_links', 'add_settings_link', 10, 2 );
   
add_shortcode('free_books_section', 'free_books_section');

function free_books_section() {
  $lepid = get_option('eas_data');
  $lepid2 = get_option('eas2_data');
  $hoplink = "https://hop.clickbank.net/?affiliate=" . $lepid . "&vendor=dovebooks&cbpage=BookPromo";

  return <<<HTML

<!DOCTYPE html>

<head>

<style>

body {
font-family: "Lato", sans-serif;
text-align: left;
}

div.ver {
  text-align: right;
  font-size: 11px;
}

iframe { border: none; }

/* Menu Styling */

#menu {
	background: #04AA6D;
	color: #FFF;
	height: 45px;
	padding-left: 18px;
	border-radius: 10px;
}
#menu ul, #menu li {
	margin: 0 auto;
	padding: 0;
	list-style: none
}
#menu ul {
	width: 100%;
}
#menu li {
	float: left;
	display: inline;
	position: relative;
}
#menu a {
	display: block;
	line-height: 45px;
	padding: 0 14px;
	text-decoration: none;
	color: #ffffff;
	font-size: 16px;
}

#menu a.dropdown-arrow:after {
	content: "▾";
	margin-left: 5px;
}

#menu li a:hover {
	color: #333;
	background: #F2F2F2;
}
#menu input {
	display: none;
	margin: 0;
	padding: 0;
	height: 45px;
	width: 100%;
	opacity: 0;
	cursor: pointer
}
#menu label {
	display: none;
	line-height: 45px;
	text-align: center;
	position: absolute;
	left: 35px
}
#menu label:before {
	font-size: 1.6em;
	content: "☰"; 
	margin-left: 20px;
}
#menu ul.sub-menus{
	height: auto;
	overflow: hidden;
	width: 170px;
	background: #444444;
	position: absolute;
	z-index: 99;
	display: none;
}
#menu ul.sub-menus li {
	display: block;
	width: 100%;
}
#menu ul.sub-menus a {
	color: #FFFFFF;
	font-size: 16px;
}
#menu li:hover ul.sub-menus {
	display: block
}
#menu ul.sub-menus a:hover{
	background: #F2F2F2;
	color: #444444;
}
@media screen and (max-width: 800px){
	#menu {position:relative}
	#menu ul {background:#111;position:absolute;top:100%;right:0;left:0;z-index:3;height:auto;display:none}
	#menu ul.sub-menus {width:100%;position:static;}
	#menu ul.sub-menus a {padding-left:30px;}
	#menu li {display:block;float:none;width:auto;}
	#menu input, #menu label {position:absolute;top:0;left:0;display:block}
	#menu input {z-index:4}
	#menu input:checked + label {color:white}
	#menu input:checked + label:before {content:"☰"}
	#menu input:checked ~ ul {display:block}
}

}

/* On small screens, display the links vertically instead of horizontally */
@media screen and (max-width: 900px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;o  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

</style>

</head>

<body>

<!-- Menu Coding -->

<nav id='menu'>
  <input type='checkbox' id='responsive-menu' onclick='updatemenu()'><label></label>
  <ul>
    <li><a class='dropdown-arrow' href='https://whitedovebooks.co.uk/gazette.php' target='fbs'>Free Kindle Books</a>
      <ul class='sub-menus'>
        <li><a href='https://whitedovebooks.co.uk/gazette-romance.php' target='fbs'>Romance Novels</a></li>
        <li><a href='https://whitedovebooks.co.uk/gazette-mystery.php' target='fbs'>Mystery Books</a></li>
        <li><a href='https://whitedovebooks.co.uk/gazette-speculative.php' target='fbs'>Speculative Fiction</a></li>
        <li><a href='https://whitedovebooks.co.uk/gazette-thrillers.php' target='fbs'>Thrillers</a></li>
      </ul>
    </li>
    <li><a href='https://whitedovebooks.co.uk/gazette-toppicks.php' target='fbs'>Featured</a></li>
    <li><a href='https://whitedovebooks.co.uk/gazette-kindleunlimited.php' target='fbs'>Kindle Unlimited</a></li>
    <li><a href='$hoplink' target='_blank'>Add Your Book</a></li>
  </ul>
</nav>

<!-- Menu Script -->

<script>
function updatemenu() {
  if (document.getElementById('responsive-menu').checked == true) {
    document.getElementById('menu').style.borderBottomRightRadius = '0';
    document.getElementById('menu').style.borderBottomLeftRadius = '0';
  }else{
    document.getElementById('menu').style.borderRadius = '10px';
  }
}
</script>

<br>

<!-- Sizing Script -->

<script>
<!-- Resize iFrame to Fit Content -->
function resizeCrossDomainIframe(id, other_domain) {
var iframe = document.getElementById(id);
window.addEventListener('message', function(event) {
if (event.origin !== 'https://whitedovebooks.co.uk') return;
if (isNaN(event.data)) return;
var height = parseInt(event.data) + 8;
iframe.height = height + "px";
}, false);
}
</script>

<iframe src='https://whitedovebooks.co.uk/gazette$lepid2.php' width="100%" height="5700" scrolling="no" name="fbs" id="fbs" onload="resizeCrossDomainIframe('fbs', 'https://whitedovebooks.co.uk/');"></iframe>

<div class="ver">
FBS Ver:16.0&nbsp;&nbsp;&nbsp;
</div>

</body>
</html>

HTML;

  }
     
add_action( 'admin_menu', 'eas_plugin_menu' );

function eas_plugin_menu() {
	add_options_page( 'Free Books Section Options', 'Free Books Section', 'manage_options', '_FILE_eas','eas_plugin_options' );
      }

function eas_plugin_options() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
		
?>

<div class="wrap">
<h1>Free Books Section Plugin</h1>
<h2>Settings</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<table width="510">
<tr valign="top">

<th width="92" scope="row">Clickbank Nickname:</th>
<td width="406">
<input name="eas_data" type="text" id="eas_data"
value="<?php echo get_option('eas_data'); ?>" />
</td>

<?php $radcheck = get_option( 'eas2_data' ); ?>

</td>
</tr>
</table>

<h3>Select Default Genre for Main Feed:</h3>

  <input type="radio" id="default" name="eas2_data" value="" <?php if ($radcheck == '') echo "checked"; ?> >
  <label for="default">All Genres</label>&nbsp;

  <input type="radio" id="romance" name="eas2_data" value="-romance" <?php if ($radcheck == '-romance') echo "checked"; ?> >
  <label for="romance">Romance</label>&nbsp;

  <input type="radio" id="thrillers" name="eas2_data" value="-thrillers" <?php if ($radcheck == '-thrillers') echo "checked"; ?> >
  <label for="thrillers">Thrillers</label>&nbsp;

  <input type="radio" id="speculative" name="eas2_data" value="-speculative" <?php if ($radcheck == '-speculative') echo "checked"; ?> >
  <label for="speculative">Speculative</label>&nbsp;

  <input type="radio" id="mystery" name="eas2_data" value="-mystery" <?php if ($radcheck == '-mystery') echo "checked"; ?> >
  <label for="mystery">Mystery</label>&nbsp;


<input name="update" type="submit" value="Save Changes">
<input type="hidden" name="action" value="update" />

<input type="hidden" name="page_options" value="eas_data,eas2_data"/>

<p>Remember to refresh your page if you change the main genre feed.</p> 

</form>

<p><H2>Instructions</H2></p>

<p>Provide your visitors with top quality free books and earn commission at the same time.</p> 

<ol>
  <li>Enter & Save Your Clickbank Nickname & Genre Preference (Above)</li>
  <li>Create a New Page (Pages/Add New)</li>
  <li>Insert the Shortcode: [free_books_section] and Save the page</li>
  <li>Link the Page to Your Navigation Menu (Appearance/Menus)</li>
</ol>

<p>If you don't have a Nickname, <a title="affiliate" href="https://clickbank.com/" target="_blank">Click Here</a> to get one (it's free) or leave the field blank if you don't want to earn commission.</p>

<p>Be sure to check the 'Ad Your Book' link. If you see a message beginning 'This site is no longer in service' you have not entered your Nickname correctly. Be sure there are no invalid charcters (including spaces).</p>

<H2>Plugin Support & Admin</H2>

<p>To watch the installation video, <a href="https://www.youtube.com/watch?v=NiHH4YleDBs" target="_blank">Click Here</a>.</p>

<p>If you have any issues with the plugin, <a href="https://www.whitedovebooks.co.uk/contact/" target="_blank">Contact Me</a> for help.</p>

<p>If you like the plugin, it would be great if you would leave us a 5-Star review <a href="https://wordpress.org/plugins/free-books-section/#reviews" target="_blank">Click Here</a>.</p>

</div>

<?php } ?>